Bug 131377

Summary: [GTK] Layout test fast/repaint/blend-mode-isolate-stacking-context.html fails
Product: WebKit Reporter: Carlos Alberto Lopez Perez <clopez>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bugs-noreply, k.wolanski, mihnea, mitica, rosca, webkit-bug-importer, WebkitBugTracker
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Linux   
Bug Depends on: 130582    
Bug Blocks:    

Description Carlos Alberto Lopez Perez 2014-04-08 11:44:10 PDT
The test fast/repaint/blend-mode-isolate-stacking-context.html that was introduced on http://trac.webkit.org/r165970 fails on the GTK platform.

The diff is the following:

--- /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/fast/repaint/blend-mode-isolate-stacking-context-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/fast/repaint/blend-mode-isolate-stacking-context-actual.txt
@@ -11,25 +11,12 @@
 Test if unsetting a parent's stacking context correctly updates its parent isolation.
 
 (repaint rects
-  (rect 48 54 60 60)
-  (rect 48 54 60 60)
-  (rect 48 54 60 60)
-  (rect 48 54 60 60)
-  (rect 48 172 60 60)
-  (rect 48 172 60 60)
-  (rect 28 290 60 60)
-  (rect 48 290 60 60)
-  (rect 48 290 60 60)
-  (rect 48 408 60 60)
-  (rect 48 408 60 60)
-  (rect 28 526 60 60)
-  (rect 48 526 60 60)
-  (rect 48 644 60 60)
-  (rect 68 644 60 60)
-  (rect 68 644 60 60)
-  (rect 28 290 60 60)
-  (rect 48 644 60 60)
-  (rect 28 526 60 60)
-  (rect 88 644 20 60)
+  (rect 28 287 80 60)
+  (rect 28 521 80 60)
+  (rect 48 638 80 60)
+  (rect 28 287 80 60)
+  (rect 48 638 80 60)
+  (rect 28 521 80 60)
+  (rect 88 638 40 60)
 )
Comment 1 Krzysztof Wolanski 2014-04-22 08:15:52 PDT
In the EFL port result of this layout test is the same.
Comment 2 Diego Pino 2023-01-25 19:31:02 PST
There are no references to this bug in any TestExpectations. It's probable this bug was solved at some point but it wasn't marked as closed. I'm closing this bug now. If you think this bug report is still valid, please reopen it and add an entry to TestExpectations.
Comment 3 Radar WebKit Bug Importer 2023-01-25 19:32:51 PST
<rdar://problem/104678699>